﻿using System.Collections.ObjectModel;

namespace TestBindingError
{
    public class PersonViewModel:ViewModelBase
    {
        private string name;
        private ObservableCollection<Country> countries;
        private Country selectedCountry;
        private Country selectedCountry2;

        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
                OnPropertyChanged("Name");
            }
        }

        public ObservableCollection<Country> Countries
        {
            get
            {
                if (countries == null)
                {
                    countries = new ObservableCollection<Country>
                                    {
                                        new Country {Code = "BE", Name = "Belgium"},
                                        new Country {Code = "NL", Name = "Netherlands"},
                                        new Country {Code = "US", Name = "United States"},
                                        new Country {Code = "FR", Name = "France"}
                                    };

                }
                return countries;
            }
            set
            {
                countries = value;
                OnPropertyChanged("Countries");
            }
        }

        public Country SelectedCountry
        {
            get
            {
                return selectedCountry;
            }
            set
            {
                selectedCountry = value;
                OnPropertyChanged("SelectedCountry");
            }
        }

        public Country SelectedCountry2
        {
            get
            {
                return selectedCountry2;
            }
            set
            {
                selectedCountry2 = value;
                OnPropertyChanged("SelectedCountry2");
            }
        }
    }
}
